Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Library for arithmetic on arbitrary precision integers, rational numbers, and floating-point numbers.
Name:		gmp
Version:	4.2.2
Release:	1
License:	GNU/GPL
URL:		http://gpsdrive.kraftvoll.at
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
# add support for Intel core2 CPUs
# patch found at http://www.geocities.jp/ct35z/gmp-core2-en.html
Patch0:		gmp-4.2.2-core2.patch	
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gawk gcc flex bison
Prereq(post,preun): /sbin/install-info

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
Library for arithmetic on arbitrary precision integers, rational numbers, and floating-point numbers.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi 
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
export CFLAGS='-O2 -march=i686 -pipe -fomit-frame-pointer'
export CXXFLAGS=$CFLAGS

export MPN_PATH="generic"
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--infodir=%_infodir \
		--localstatedir=/var/state/gmp \
		--enable-cxx \
		--enable-mpbsd \
		ABI=32
make

make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_infodir

%files devel
%defattr(-,root,root)
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jun 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version Update
- glibc 2.8
* Tue Jan 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version Update
- glibc 2.5
* Sat Apr 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 4.2-1
- Version Update
* Sat Nov 19 2005 Christian Wasem <wasem@ccux-linux.de> 4.1.4-2
- added info install, added amd64 patch
* Fri Nov 18 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.1.4-1
- Initial Release
